Skip to main content
`Ctrl`+`K`

# PCBDDCMatFETIDPGetRHS

Compute the right-hand side for a FETI-DP linear system using the physical right-hand side

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCMatFETIDPGetRHS(Mat fetidp_mat, Vec standard_rhs, Vec fetidp_flux_rhs)

Collective

## Input Parameters

- fetidp_mat - the FETI-DP matrix object obtained by a call to `PCBDDCCreateFETIDPOperators()`

- standard_rhs - the right-hand side of the original linear system

## Output Parameter

- fetidp_flux_rhs - the right-hand side for the FETI-DP linear system

## Note

Most users should employ the `KSP` interface for linear solvers and create a solver of type `KSPFETIDP`.

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCCreateFETIDPOperators()`, `PCBDDCMatFETIDPGetSolution()`

## Level

developer

## Location

src/ksp/pc/impls/bddc/bddc.c

## Examples

src/ksp/ksp/tutorials/ex59.c

## Implementations

PCBDDCMatFETIDPGetRHS_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages